<?
require'sys/head2.php';
require'sys/conf.php';
require'otsev.php';
 if(!empty($_GET['make'])){$make = $_GET['make'];} else {$make= '';}
 switch($make){
default:
echo'<FORM ACTION="repass.php?der='.$key.'&make=1" METHOD="POST">';?>
E-mail<br/> <INPUT TYPE="text" NAME="mail" VALUE="@"><br/>
Логин<br/> <INPUT TYPE="text" NAME="login" VALUE=""><br/>
<input type="submit"  value="Далее">
</FORM><br/><?
break;
case 1:
$login=$_POST['login'];$mail=$_POST['mail'];
$rp=mysql_fetch_array(qw("SELECT id FROM users WHERE `login`='$login' and `mail`='$mail'"));
if($rp['id']>0){$par=rand(100,9999);
$par1=md5($par);$par2=substr($par1,0,6);
$par3=md5($par2);
qw("UPDATE users SET `pass`='$par3' WHERE `login`='$login'");
$subject = "Цивилизация http://nova.ciwa.ru";
$message = "Ваш новый пароль: $par2 \n ";
$mailheaders = "Content-type:text/plain;charset=utf-8 \r\n";
$mailheaders .= "From: RegBot <kip4ak.ru@bk.ru> \r\n";
$mailheaders .= "Reply-To: kip4ak.ru@bk.ru \r\n";
mail($mail, $subject, $message, $mailheaders);
echo"Новый пароль отправлен на ваш E-mail[$par2][$par3]<br/>";

}else{
echo"Такого профиля не существует!<br/>";
}
break;
}
echo'<a href="index.php">На главную</a><br/>';
require'sys/foot.php';
?>